CorebanqCorebanq Developer Docs
Productsv1Products

Get DSL block by ID (using product UUID)

Retrieves a specific DSL block from a product's DSL configuration by searching for the block ID. Supports any block type (case, question, rule, etc.) that contains an ID field.

GET/v1/products/{id}/dsl/{block_id}

Path Parameters

id*string

Product UUID

block_id*string

DSL block ID to search for (e.g., case_id, q_id, rule_id)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/products/497f6eca-6276-4993-bfeb-53cbbbba6f08/dsl/case_id"
{
  "product_id": "9a44ac8e-aebe-48d6-8a34-1528083a15c0",
  "product_code": "CRW",
  "block_id": "case_id",
  "block_type": "case",
  "dsl": "case id = case_id {\n  when match ori_name list \"PEP_LIST\" then question {\n    schema: {...}\n    id: \"q_id\"\n  }\n}"
}
{
  "error": "string",
  "code": "string",
  "details": {}
}
{
  "error": "string",
  "code": "string",
  "details": {}
}
{
  "error": "string",
  "code": "string",
  "details": {}
}
{
  "error": "string",
  "code": "string",
  "details": {}
}